/* Start Scroll Section */
::-webkit-scrollbar {
    width: 15px;
}
/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
  /* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 15px;
    height: 30px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: var(--main-color);  
}
/* End Scroll Section */

/* Start General Section */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'Roboto', sans-serif;
}
html{
    scroll-behavior: smooth;
}
:root{
    --main-color: #f47120;
    --seconed-color: rgb(117, 116, 116);
}
/* End General Section */

/* Start Header Section */
header{
    position: fixed;
    width: 100%;
    z-index: 5;
}
nav{
    background-color: var(--main-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
}
header .logo img{
    Width :100px;
   margin-left: 5px;
}
header .navbar{
    position: relative;
}
header .navbar .icons{
    display: flex;
    justify-content: space-evenly;
}
 
header .navbar .wholeCart .shoppingCart{
    font-size: 25px;
    color: white;
    margin-left: 10px;
    cursor:pointer;
}
header .navbar .icons .wholeCart .shoppingCart{
    position:relative;
    margin-right: 31px
}
header .navbar .icons .count{
    position: absolute;
    left: 25px;
    top: -9px;
    background-color:red ;
    border-radius: 5px;
    width: 21px;
    height: 21px;
    font-size: 21px;
    text-align: center;
    font-family: "Gilroy-Bold";
    color: #fff;
}
/* End Header Section */

/* Start Menu Section */
#menu {
    padding-top: 100px;
}
#menu .arrow-left{
    font-size: 30px;
    color: #f47120;
    margin-left: 10px;
    cursor:pointer;
}
#menu h1{
    color: var(--main-color);
    text-align:center; 
    padding-bottom:30px;
    font-size: 30px;
}
#menu .search-select-div{
    display:flex;
    justify-content: space-around;
    align-items: center;
}
#menu .search-select-div .input-holder{
    position: relative;
}
#menu .search-select-div .input-holder .search-icon{
    position: absolute;
    right: 7px;
    top: 14px;
    color: var(--seconed-color);
}
#menu .search-select-div .input-holder input[type=text] {
    padding: 8px 15px;
    font-size: 17px;
    border-color: var(--main-color);
    border-radius: 6px;
    width: 9rem;
    background: white;
    cursor: pointer;
    outline: none;
}
#menu .search-select-div .input-holder input[type=text]:hover {
background: #f1f1f1;
}
#menu .select-menu{
position: relative;
overflow: hidden;
} 
#menu .select-menu::after{
    content: '';
    position: absolute;
    top: 17px;
    right: 10px;
    width: 0px;
    height: 0px;
    border:6px solid transparent;
    border-color:var(--main-color) transparent transparent transparent ;
    pointer-events: none;
    z-index: 1;
}

#menu .select-menu select{
    -webkit-appearance:none ;
    -moz-appearance: none;
    appearance:none;
    outline: none;
    min-width: 6rem;
    cursor: pointer;
    color: var(--main-color);
    padding: 10px 13px;
    border-radius: 6px;
    border: var(--main-color) solid 2px;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 2px;
}
#menu .search-select-div .allData{
    background-color: var(--main-color);
    color: #fff;
    padding: 10px 16px;
    border-radius: 6px;
    
}
#menu .search-select-div .allData .all{
    font-size: 16px;
}
.container{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
.container .card{
margin-top: 40px;
background:  #dddddd;
box-shadow: 2px 4px 25px rgba(0, 0, 0, 0.1);
border-radius: 12px;
width: 170px;
overflow: hidden;
}
.container .card .divImg{
overflow: hidden;
}
.container .card .divImg img{
    width: 170px;
    height: auto;
    border-top-left-radius: 12px;
}
.container .card .detailsCategory, 
.container .card .detailsCategoryDrinks{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:11px;
}
.card .detailsCategory .mealName,
.card .detailsCategoryDrinks .drinkName{
min-width: 20px;
overflow: hidden;
text-overflow: ellipsis;
white-space: nowrap; 
}

.card .detailsCategory .mealDetails, 
.card .detailsCategoryDrinks .drinkDetails{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0px;
    width: 40px;
}
.card .detailsCategory .mealDetails i,
.card .detailsCategoryDrinks .drinkDetails i {
    color: var(--main-color);
    font-size: 15px;
}
.card .detailsCategory .mealDetails h5,
.card .detailsCategoryDrinks .drinkDetails h5{ 
font-size: 15px;
color: var(--seconed-color);
} 
/* End Menu Section */

/* Start Empty Cart */
.empty-cart{
    width: 70%; 
    margin: auto; 
    display: flex; 
    flex-direction: column;
    text-align: center;
}
.empty-cart .empty-img{
    margin-top: 20%; 
    margin-bottom: 20%; 
    opacity:0.8; 
    height:20rem;
}
.empty-cart .title{
    font-size:30px; 
    color:var(--seconed-color); 
    text-align: center;
    line-height: 1.3;
}
.empty-cart .title span{
    color: var(--main-color);
}
.empty-cart .empty-cart-btn{
    width: 12rem; 
    margin-top: 3.125rem; 
    margin-bottom: 3.125rem; 
    padding:1rem; 
    font-size: 25px; 
    border-radius: 15px; 
    font-weight: bold; 
    background-color: var(--main-color);
    outline: none;
    border: none;
}
/* End Empty Cart */

/* Start Cart Section */
.cart{
    height:100vh; 
    width:100%;
    display:none;
    position: absolute;
    right:-400px;
    transition: all ease-in 0.7s;
}
.openCart{
    display: block;
    background-color: #ebeced;
    position:fixed;
    top:0;
    right:0;
    z-index: 7;
    overflow-y: scroll;
}
.cartItems{
    width:80%;
    margin:auto;
}
.cartItems .mealInfo{
    width:100%;
    background-color: #eee;
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 20px 5px 20px 10px;
    margin-bottom: 20px;
    box-shadow: 5px 5px 15px 5px rgb(102, 101, 101);
}
.mealInfo .image{
    width:15%;
}
.mealInfo .image img{
    border-radius: 50%;
    width:4rem;
    box-shadow: 2px 2px 5px 2px rgb(161, 159, 159);
}
.mealInfo .info{
    display: block;
    width:65%;
    margin-left:15px;
}
.mealInfo .info .text{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: #000;
    margin-top: 5px;
    margin-bottom: 10px;
}
.mealInfo .info .text .price{
    color: var(--seconed-color);
}
.mealInfo .info .counter{
    color: #000;
    font-size: 20px;
    display: flex;
}
.mealInfo .info .counter i{
    color: var(--main-color);
    cursor: pointer;
    margin: 5px;
}
.mealInfo .deleteItem .fas{
    color: var(--main-color);
    cursor: pointer;
    font-size: 25px;
    position:relative;
    top:25%;
}
.cart #total-price{
    position:fixed;
    bottom: 0;
    width:100%;
    height:150px;
    background-color: #ebeced;
    margin: auto;
    margin-top: 15px;
}
.cart #total-price .totalPrice{
    width:100%;
    height: 80px; 
    display:flex;
    align-items: center;
    justify-content: space-around;
    border-radius: 10px;
}
.cart #total-price .orderNowLink{
    text-decoration: none;
}
.cart #total-price .orderNowLink .orderBtn{
    color:#000;
    align-content: center;
    float: right;
    text-align: center;
    font-size: 27px;
    font-weight: 600;
    margin:0 15% 15% 10px;
    padding:15px;
    width:70%;
    border-radius: 10px;
    background-color: var(--main-color);
}
/* End Cart Section*/

/* Start Top-Cart Section */
.top{
    display: flex;
    justify-content:space-evenly;
    align-items: center;
    margin-top: 3%;
    margin-bottom: 5%;
}
.top .closeBtn{
    color: var(--seconed-color);
    cursor: pointer;
}
.top h1{
    color: var(--main-color);
    font-size:40px; 
    margin:15px; 
}
.top #remove-all{
    color: var(--seconed-color);
    cursor: pointer; 
}
/* End Top-Cart Section */

@media (min-width:768px) and (max-width:1023px){
    #menu .arrow-left{
        margin-left: 30px;
    }
    #menu h1{
        padding-bottom:50px;
        font-size: 50px;
        }
    #menu .search-select-div{
    justify-content: space-evenly;
    }
    #menu .search-select-div .input-holder input[type=text]{
     width: 24rem;
    }
    select{
        width: 15rem;
        padding: 15px;
        font-size: 25px;
    }
    
    #menu .search-select-div .input-holder .search-icon {
        right: 15px;
        top: 12px;
        font-size: 20px;
    }
    #menu .search-select-div .allData .all{
        font-size: 25px;
        padding: 2px;
    }
   
    .container{
        justify-content: space-around;
    }
    .container .card{
        width: 350px;
        height: 370px;
            
    }
    .container .card .divImg img{
        width: 350px;
        height: 300px;
    }
    .card .detailsCategory .mealDetails, 
    .card .detailsCategoryDrinks .drinkDetails{
        width: 100px;
        justify-content: space-around;
        
    }
    .container .card .detailsCategory, 
    .container .card .detailsCategoryDrinks{
        padding: 10px;
    }
    .card .detailsCategory .mealDetails i,
    .card .detailsCategoryDrinks .drinkDetails i {
        color: var(--main-color);
        font-size: 25px;
    }
    .card .detailsCategory .mealName,
    .card .detailsCategoryDrinks .drinkName{
        font-size: 25px;
    }  
     .card .detailsCategory .mealDetails h5,
    .card .detailsCategoryDrinks .drinkDetails h5{ 
    font-size: 25px;
    } 
    
    .top{
       
        margin-top: 8%;
        margin-bottom: 8%;
    }
    .top .closeBtn{
       font-size: 50px;
    }
    .top h1{

        font-size:60px; 
        
    }
    .top #remove-all{
      
        font-size: 30px;
    }
    .empty-cart .title {
        font-size: 40px;
    }
    .empty-cart .empty-cart-btn {
        width: 18rem;
        font-size: 29px;
    }
    .cartItems .mealInfo .name{
        font-size: 30px;
    }
    .mealInfo .info .counter i {
       font-size: 30px;
        margin: 5px;
    }
    .counter .countNum{
      
       font-size: 30px;
    }
    .mealInfo .image img {
        width: 6rem;
    }
    .mealInfo .info .text .price {
        font-size: 30px;
    }
    .mealInfo .deleteItem .fas {
        font-size: 29px;
        padding-right: 15px;
    }
    .totalPrice .priceText, .totalPrice .priceValue{
        font-size: 34px;
    }
    .totalPrice .priceValue{
        color: var(--seconed-color);
    }
    .cart #total-price .orderNowLink .orderBtn {
        font-size: 32px;
        padding: 11px;
        
    }
}

@media  (min-width:1024px){
    header .logo img{
        width: 150px;
        padding-left: 40px;
    }
    header .navbar .arrow-left, 
    header .navbar .wholeCart .shoppingCart{
        padding-right: 40px;
    }
    #menu .arrow-left{
        margin-left: 60px;
    }
    #menu h1{
        padding-bottom:50px;
        font-size: 50px;
    }
    #menu .search-select-div{
        justify-content: space-around;
        width: 100%;
        margin: auto;
        padding: 0 50px;
    }
    #menu .search-select-div .input-holder input[type=text]{
        width: 38rem;
        font-size: 20px;
    }
    select{
        width: 20rem;
        font-size: 20px;
        }
    #menu .search-select-div .allData .all{
    font-size: 20px;
    }
    .input-holder .search-icon{
        right: 10px;
        top: 15px;
    }
   
    
    .container{
        justify-content: space-evenly;
        margin: 80px 0;
    }
    .container .card{
        width: 400px;
        height: 370px;
    }
    .container .card .divImg img{
        width: 400px;
        height: 300px;
    }
    .container .card:hover img{
        transform:scale(1.1);
        transition:transform ease 2s;
        opacity: 0.7;
    }
    .card .detailsCategory .mealDetails, 
    .card .detailsCategoryDrinks .drinkDetails{
        width: 100px;
        justify-content: space-around;
        
    }
    .container .card .detailsCategory, 
    .container .card .detailsCategoryDrinks{
        padding: 10px;
    }
    .card .detailsCategory .mealDetails i,
    .card .detailsCategoryDrinks .drinkDetails i {

        font-size: 25px;
    }
    .card .detailsCategory .mealName,
    .card .detailsCategoryDrinks .drinkName,  
    .card .detailsCategory .mealDetails h5,
    .card .detailsCategoryDrinks .drinkDetails h5{ 
        font-size: 22px;
        }    
    .cart{
        width:40%;
    }
    .cart #total-price {
        right: 0;
        width: 40%;
    }
    .cart #total-price .orderNowLink .orderBtn {
        font-size: 20px;
        width: 50%;
        margin: 0 25% 15% 20px;
    }
}